Package org.apache.sling.discovery.base.connectors.ping

# Class TopologyConnectorServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.apache.sling.discovery.base.connectors.ping.TopologyConnectorServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class TopologyConnectorServlet extends javax.servlet.http.HttpServlet
Servlet which receives topology announcements at /libs/sling/topology/connector* without authorization (authorization is handled either via hmac-signature with a shared key or via a flexible whitelist)

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TopologyConnectorServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`activate(org.osgi.service.component.ComponentContext context)`
`protected void`
`deactivate()`
`protected void`
`doDelete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void`
`doPut(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doGet, doHead, doOptions, doPost, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TopologyConnectorServlet

public TopologyConnectorServlet()

## Method Details

### activate

protected void activate(org.osgi.service.component.ComponentContext context)

### deactivate

protected void deactivate()

### doDelete

protected void doDelete(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doDelete` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### doPut

protected void doPut(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doPut` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`